
[//]: # (CLASS:ETFStats)

[//]: # (KIND:object)

### ETFStats

#### Properties

[//]: # (START_DEFINITION)

Name | Type | Description
------------ | ------------- | -------------
**date** | [**LocalDate**](LocalDate.md) |  &nbsp;
**netAssetValue** | [**BigDecimal**](BigDecimal.md) | The net asset value (NAV &#x3D; Total Assets - Total Liabilities) &nbsp;
**betaVsSpy** | [**BigDecimal**](BigDecimal.md) | Volatility this ETF is versus the SPY ETF &nbsp;
**trailingOneMonthReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | Trailing one month return including dividends &nbsp;
**trailingOneMonthReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | Trailing one month return excluding dividends &nbsp;
**trailingOneYearReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | Trailing one year return including dividends &nbsp;
**trailingOneYearReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | Trailing one year return excluding dividends &nbsp;
**trailingOneYearVolatilityAnnualized** | [**BigDecimal**](BigDecimal.md) | Annualized standard deviation of daily price returns over trailing 252 trading days &nbsp;
**trailingThreeYearAnnualizedReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | Trailing three year return including dividends &nbsp;
**trailingThreeYearAnnualizedReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | Trailing three year return excluding dividends &nbsp;
**trailingThreeYearVolatilityAnnualized** | [**BigDecimal**](BigDecimal.md) | Annualized standard deviation of daily price returns over trailing 756 trading days &nbsp;
**trailingFiveYearAnnualizedReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | Trailing five year return including dividends &nbsp;
**trailingFiveYearAnnualizedReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | Trailing five year return excluding dividends &nbsp;
**trailingFiveYearVolatilityAnnualized** | [**BigDecimal**](BigDecimal.md) | Annualized standard  deviation  of  daily  price  returns  over  trailing 1260 trading days &nbsp;
**trailingTenYearAnnualizedReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | Trailing ten year return including dividends &nbsp;
**trailingTenYearAnnualizedReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | Trailing ten year return excluding dividends &nbsp;
**inceptionAnnualizedReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | Annualized return including dividends since inception &nbsp;
**inceptionAnnualizedReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | Annualized return excluding dividends since inception &nbsp;
**calendarYear5ReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | Five years ago calendar year return including dividends &nbsp;
**calendarYear5ReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | Five years ago calendar year return excluding dividends &nbsp;
**calendarYear4ReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | Four years ago calendar year return including dividends &nbsp;
**calendarYear4ReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | Four years ago calendar year return excluding dividends &nbsp;
**calendarYear3ReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | Three years ago calendar year return including dividends &nbsp;
**calendarYear3ReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | Three years ago calendar year return excluding dividends &nbsp;
**calendarYear2ReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | Two years ago calendar year return including dividends &nbsp;
**calendarYear2ReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | Two years ago calendar year return excluding dividends &nbsp;
**calendarYear1ReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | One year ago calendar year return including dividends &nbsp;
**calendarYear1ReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | One year ago calendar year return excluding dividends &nbsp;
**calendarYearToDateReturnSplitAndDividend** | [**BigDecimal**](BigDecimal.md) | Calendar year to date (YTD) return including dividends &nbsp;
**calendarYearToDateReturnSplitOnly** | [**BigDecimal**](BigDecimal.md) | Calendar year to date (YTD) return excluding dividends &nbsp;
**etf** | [**ETFSummary**](ETFSummary.md) |  &nbsp;

[//]: # (END_DEFINITION)


[//]: # (CONTAINED_CLASS:LocalDate)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:ETFSummary)





